Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class GenericElementHandlerEnviroment

    java.lang.Object
      net.sf.jasperreports.engine.export.GenericElementHandlerEnviroment

    public final class GenericElementHandlerEnviroment

extends java.lang.Object

A class that provides access to `generic element handlers`.

Generic element handler bundles are registered as JasperReports extensions of type `GenericElementHandlerBundle` via the central extension framework (see `ExtensionsEnvironment`).

Version:
  $Id: GenericElementHandlerEnviroment.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`static GenericElementHandler` | `getHandler(JRGenericElementType type, java.lang.String exporterKey)` Returns a handler for a generic print element type and an exporter key.
`protected static java.util.Map` | `getHandlerBundles()`
`protected static java.util.Map` | `loadHandlerBundles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getHandler

    public static GenericElementHandler getHandler(JRGenericElementType type,
                                                   java.lang.String exporterKey)

  Returns a handler for a generic print element type and an exporter key.

  The method first locates a `handler bundle` that matches the type namespace, and then uses `GenericElementHandlerBundle.getHandler(String, String)` to resolve an export handler.

  Parameters:
    `type` - the generic element type
    `exporterKey` - the exporter key
  Returns:
    a generic print element handler
  Throws:
    `JRRuntimeException` - if a handler does not exist for the combination of element type and exporter key

### getHandlerBundles

    protected static java.util.Map getHandlerBundles()

### loadHandlerBundles

    protected static java.util.Map loadHandlerBundles()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com